POST
/
customers
/
{customerId}
/
accounts
/
{accountId}
/
payments
/
compliance-trigger
curl --request POST \
  --url https://api.next.orenda.finance/customers/{customerId}/accounts/{accountId}/payments/compliance-trigger \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "paymentRequestId": "fb2ce71e-fce7-44a0-a677-c7d69c3e40ab",
  "action": "APPROVED"
}
'
{
  "success": true
}
{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}
{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}
{
"success": false,
"error_code": "VALIDATION_FAILED"
}
{
"success": false,
"error_code": "Outgoing payment request already processed"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

customerId
string
required

The unique identifier of the customer.

accountId
string
required

The unique identifier of the account.

Query Parameters

programId
string
required

The program the request is scoped to. Required on every endpoint.

Body

application/json

Provide exactly one of paymentRequestId or transactionId.

action
enum<string>
required

The transaction-monitoring decision.

Available options:
APPROVED,
REJECTED
paymentRequestId
string

Identifier of the outgoing payment request to decide on. Mutually exclusive with transactionId.

Example:

"fb2ce71e-fce7-44a0-a677-c7d69c3e40ab"

transactionId
string

Identifier of the incoming transaction to decide on. Mutually exclusive with paymentRequestId.

Example:

"3a9d4c11-77b2-4e0a-9f1c-21d9b6f5a8e2"

Response

Decision recorded.

success
boolean
Example:

true